# PATCH shop/cart

> Changes the quantity or data of an item in the cart.

- Source: `api/routes/cart.php#L78` <https://github.com/wagnerwagner/merx/blob/2.0.0-alpha.11/api/routes/cart.php#L78>

```js
fetch('/api/shop/cart', {
	method: 'PATCH',
	headers: {
		'Accept': 'application/json',
		'Content-Type': 'application/json',
	},
	body: JSON.stringify({
		"key": "products/cozy-socks",
		"quantity": 3
	}),
});
```

## API model

`Wagnerwagner\Merx\Cart`

## Return type

`Wagnerwagner\Merx\Cart`

The cart including the updated item.

## Example response

`PATCH /api/shop/cart`

```json
{
    "code": 200,
    "data": {
        "checkout": {
            "title": "Checkout",
            "url": "https://shop.test/checkout"
        },
        "isFromPrice": false,
        "isOrderable": true,
        "products": {
            "items": [
                {
                    "data": {
                        "size": "42"
                    },
                    "key": "products/nice-shoes",
                    "page": {
                        "template": "product",
                        "url": "https://shop.test/products/nice-shoes",
                        "uuid": "page://Yk4fR7tNq2Lm9VxC"
                    },
                    "price": {
                        "price": "€89.90",
                        "priceIncludingTax": true,
                        "priceNet": "€75.55",
                        "priceNetRaw": 75.5499999999999971578290569595992565155029296875,
                        "priceRaw": 89.900000000000005684341886080801486968994140625,
                        "tax": {
                            "price": "€14.35",
                            "priceRaw": 14.3499999999999996447286321199499070644378662109375,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "quantity": 1,
                    "thumb": null,
                    "title": "Nice Shoes",
                    "total": {
                        "price": "€89.90",
                        "priceIncludingTax": true,
                        "priceNet": "€75.55",
                        "priceNetRaw": 75.5499999999999971578290569595992565155029296875,
                        "priceRaw": 89.900000000000005684341886080801486968994140625,
                        "tax": {
                            "price": "€14.35",
                            "priceRaw": 14.3499999999999996447286321199499070644378662109375,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "type": "product",
                    "url": "https://shop.test/products/nice-shoes"
                },
                {
                    "data": null,
                    "key": "products/cozy-socks",
                    "page": {
                        "template": "product",
                        "url": "https://shop.test/products/cozy-socks",
                        "uuid": "page://bP3wZs8HdE6uJa1Q"
                    },
                    "price": {
                        "price": "€12.50",
                        "priceIncludingTax": true,
                        "priceNet": "€10.50",
                        "priceNetRaw": 10.5,
                        "priceRaw": 12.5,
                        "tax": {
                            "price": "€2.00",
                            "priceRaw": 2,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "quantity": 3,
                    "thumb": null,
                    "title": "Cozy Socks",
                    "total": {
                        "price": "€37.50",
                        "priceIncludingTax": true,
                        "priceNet": "€31.51",
                        "priceNetRaw": 31.510000000000001563194018672220408916473388671875,
                        "priceRaw": 37.5,
                        "tax": {
                            "price": "€5.99",
                            "priceRaw": 5.9900000000000002131628207280300557613372802734375,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "type": "product",
                    "url": "https://shop.test/products/cozy-socks"
                }
            ],
            "total": {
                "price": "€127.40",
                "priceIncludingTax": true,
                "priceNet": "€107.06",
                "priceNetRaw": 107.06000000000000227373675443232059478759765625,
                "priceRaw": 127.400000000000005684341886080801486968994140625,
                "tax": {
                    "price": "€20.34",
                    "priceRaw": 20.339999999999999857891452847979962825775146484375,
                    "rate": "19%",
                    "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                }
            }
        },
        "quantity": 4,
        "shippings": {
            "items": [
                {
                    "data": null,
                    "key": "shipping",
                    "page": null,
                    "price": {
                        "price": "€4.90",
                        "priceIncludingTax": null,
                        "priceNet": "€4.12",
                        "priceNetRaw": 4.12000000000000010658141036401502788066864013671875,
                        "priceRaw": 4.9000000000000003552713678800500929355621337890625,
                        "tax": {
                            "price": "€0.78",
                            "priceRaw": 0.7800000000000000266453525910037569701671600341796875,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "quantity": 1,
                    "thumb": null,
                    "title": "Shipping",
                    "total": {
                        "price": "€4.90",
                        "priceIncludingTax": null,
                        "priceNet": "€4.12",
                        "priceNetRaw": 4.12000000000000010658141036401502788066864013671875,
                        "priceRaw": 4.9000000000000003552713678800500929355621337890625,
                        "tax": {
                            "price": "€0.78",
                            "priceRaw": 0.7800000000000000266453525910037569701671600341796875,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "type": "shipping",
                    "url": null
                }
            ],
            "total": {
                "price": "€4.90",
                "priceIncludingTax": null,
                "priceNet": "€4.12",
                "priceNetRaw": 4.12000000000000010658141036401502788066864013671875,
                "priceRaw": 4.9000000000000003552713678800500929355621337890625,
                "tax": {
                    "price": "€0.78",
                    "priceRaw": 0.7800000000000000266453525910037569701671600341796875,
                    "rate": "19%",
                    "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                }
            }
        },
        "taxRates": [
            {
                "price": "€21.12",
                "priceRaw": 21.120000000000000994759830064140260219573974609375,
                "rate": "19%",
                "rateRaw": 0.190000000000000002220446049250313080847263336181640625
            }
        ],
        "total": {
            "price": "€132.30",
            "priceNet": "€111.18",
            "priceNetRaw": 111.18000000000000682121026329696178436279296875,
            "priceRaw": 132.30000000000001136868377216160297393798828125
        }
    },
    "status": "ok",
    "type": "model"
}
```
